import { Component } from 'react';
import Wrap, { INoticeWrapProps } from './Wrap';
export declare type NoticePositions = 'right-top' | 'right-bottom' | 'left-top' | 'left-bottom';
declare type ContainerChild = React.ReactElement<INoticeWrapProps, typeof Wrap>;
interface INoticeContainerProps {
    element: HTMLDivElement;
}
interface INoticeContainerState {
    list: readonly ContainerChild[];
}
export declare const instanceMap: Map<string, import("react").RefObject<Wrap>>;
declare class NoticeContainer extends Component<INoticeContainerProps, INoticeContainerState> {
    state: INoticeContainerState;
    onExited: (id: string) => void;
    push(children: React.ReactNode, id: string): string;
    render(): JSX.Element;
}
export declare function getContainer(position: NoticePositions, ready: (container: NoticeContainer) => void): void;
export declare function remove(id: string): void;
export {};
